@import 'AdminManager.Client.f9itwifhhu.bundle.scp.css';
@import '_content/AdminManager.Shared/AdminManager.Shared.d4ehyk8p1o.bundle.scp.css';

/* /Components/Account/Pages/Login.razor.rz.scp.css */
.container-login100[b-b38kqs8ybc] {
	width: 100%;
	/*min-height: 100vh;*/
	height: 100dvh;
	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	padding: 15px;
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	z-index: 1;
	background-image: url('/images/bg_diamonds.png');
}

.wrap-login100[b-b38kqs8ybc] {
	width: 400px;
	border-radius: 10px;
	overflow: hidden;
	padding: 0px 55px 37px;
	background-image: linear-gradient(180deg, #1c5664 50%, var(--bs-black, #000) 150%);
	color: aliceblue
}

.login100-form-logo[b-b38kqs8ybc] {
	font-size: 60px;
	color: #333;
	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 50%;
	margin: 0 auto;
}

[b-b38kqs8ybc] .caption-color {
	color: aliceblue;
}

[b-b38kqs8ybc] .validation-message {
	color: orange;
	font-size: smaller;
}


/* /Components/Account/Pages/Manage/EnableAuthenticator.razor.rz.scp.css */
.info-message[b-ejcnw3o127] {
    margin: 0.625rem 0 0.625rem 0;
    justify-content: start;
}
/* /Components/Account/Pages/Manage/ExternalLogins.razor.rz.scp.css */
.current-logins[b-wt1gpfebyr] {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.current-logins-item[b-wt1gpfebyr] {
    display: flex;
    gap: 0.625rem;
}
/* /Components/Account/Shared/ExternalLoginPicker.razor.rz.scp.css */
.external-logins[b-fg1yk7kcd6] {
    display: flex;
    gap: 0.5rem;
}

@media (max-width: 500px) {
    .external-logins[b-fg1yk7kcd6] {
        flex-direction: column;
    }
}
/* /Components/Account/Shared/ManageLayout.razor.rz.scp.css */
[b-i37xp9gzaa] .tab-icon {
    min-width: var(--icon-width);
    min-height: var(--icon-height);
    background-size: contain;
}

[b-i37xp9gzaa] .icon-profile {
    --icon-mask-image: var(--icon-profile-mask-image);
}

[b-i37xp9gzaa] .icon-email {
    --icon-mask-image: var(--icon-email-mask-image);
}

[b-i37xp9gzaa] .icon-two-factor {
    --icon-mask-image: var(--icon-two-factor-mask-image);
}

[b-i37xp9gzaa] .icon-password {
    --icon-mask-image: var(--icon-password-mask-image);
}

[b-i37xp9gzaa] .icon-personal {
    --icon-mask-image: var(--icon-personal-mask-image);
}

[b-i37xp9gzaa] .icon-external {
    --icon-mask-image: var(--icon-external-mask-image);
}
/* /Components/Account/Shared/ShowRecoveryCodes.razor.rz.scp.css */
.codes[b-4byn3nxakt] {
    margin: 0.625rem 0px 0.625rem 0px;
}
/* /Components/CurrentPosition/MarketView.razor.rz.scp.css */
[b-mzovhxu7ga] .odds-cell {
	display: flex; /* активируем flex-контейнер */
	align-items: center; /* растягиваем детей по высоте */
}

[b-mzovhxu7ga] .odds {
	flex-grow: 1; /* занимает всю высоту */
	width: 45px;
	font-weight: bold;
	display: grid;
	text-align: center;
}

[b-mzovhxu7ga] .back {
	background-color: rgb(141, 210, 240);
}

[b-mzovhxu7ga] .lay {
	background-color: rgb(254, 175, 178);
}
/* /Components/Layout/Drawer.razor.rz.scp.css */
[b-w1beygb1z4] .navigation-drawer {
	min-height: 100vh;
	max-height: none;
	height: auto;
}

	[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-content {
		flex: 1 1 auto;
		min-height: 0;
		height: auto;
		overflow-y: auto;
	}

[b-w1beygb1z4] .panel-open:not(.mobile) .menu-button {
	display: none;
}


[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-panel {
	background-image: linear-gradient(180deg, #097cba 0%, var(--bs-black, #000) 150%);
}

[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-content {
	height: 100vh;
	overflow: auto;
}

[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-panel > .dxbl-drawer-header {
	border-bottom: none;
	padding: .5rem 1rem;
	background: none;
}

	[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-panel > .dxbl-drawer-header > .navigation-drawer-header {
		width: 100%;
		display: flex;
		justify-content: space-between;
		color: aliceblue;
		align-items: baseline;
	}

[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-panel > .dxbl-drawer-body {
	--dxbl-drawer-panel-body-padding-x: 0;
	--dxbl-drawer-panel-body-padding-y: 1rem;
}

[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-panel > .dxbl-drawer-footer {
	--dxbl-drawer-panel-footer-justify-content: center;
	border-top: none;
	padding-bottom: 1.5rem;
	width: 240px;
	background: none;
}

[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-panel {
	display: flex;
}

[b-w1beygb1z4] .navigation-drawer.mobile > .dxbl-drawer-panel {
	display: none;
}

[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-content > .navigation-drawer-shading {
	display: none;
}

@media (max-width: 768px) {
	[b-w1beygb1z4] .panel-open:not(.mobile) .menu-button {
		display: inline-flex;
	}

	[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-panel {
		display: none;
	}

	[b-w1beygb1z4] .navigation-drawer.mobile > .dxbl-drawer-panel {
		display: flex;
	}

	[b-w1beygb1z4] .navigation-drawer > .dxbl-drawer-content > .navigation-drawer-shading {
		background-color: var(--dxbl-drawer-content-shading-bg);
		display: block;
		height: 100%;
		position: absolute;
		transition: ease var(--dxbl-drawer-animation-duration);
		transition-property: opacity, visibility;
		visibility: visible;
		width: 100%;
		z-index: 99;
		opacity: var(--dxbl-drawer-content-shading-opacity);
	}

	[b-w1beygb1z4] .navigation-drawer.mobile.panel-closed .navigation-drawer-shading {
		opacity: 0;
		visibility: hidden;
	}
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-zadu0oxfgv] {
	position: relative;
	display: flex;
	flex-direction: column;
	max-width: 1400px;
	margin: auto;
}

.logo[b-zadu0oxfgv] {
	text-align: center;
}

[b-zadu0oxfgv] .icon-back {
	--icon-mask-image: var(--icon-back-mask-image);
}

[b-zadu0oxfgv] .icon-close {
	--icon-mask-image: var(--icon-close-mask-image);
}

[b-zadu0oxfgv] .icon-menu {
	--icon-mask-image: var(--icon-menu-mask-image);
}

[b-zadu0oxfgv] .icon-log-in {
	--icon-mask-image: var(--icon-log-in-mask-image);
}

[b-zadu0oxfgv] .icon-log-out {
	--icon-mask-image: var(--icon-log-out-mask-image);
}

[b-zadu0oxfgv] .icon-user {
	--icon-mask-image: var(--icon-user-mask-image);
}

[b-zadu0oxfgv] .icon-exposure {
	--icon-mask-image: url("/images/exposure.svg");
}

[b-zadu0oxfgv] .docs-icon {
	--icon-mask-image: var(--icon-docs-mask-image);
}

[b-zadu0oxfgv] .demos-icon {
	--icon-mask-image: var(--icon-demos-mask-image);
}

[b-zadu0oxfgv] .footer-button:hover .demos-icon {
	background-color: var(--dxbl-btn-hover-color);
}

[b-zadu0oxfgv] .footer-button:hover .docs-icon {
	background-color: var(--dxbl-btn-hover-color);
}

[b-zadu0oxfgv] .menu-button:hover .icon {
	background-color: var(--dxbl-btn-hover-color);
}

[b-zadu0oxfgv] .menu-button-nav:hover .icon {
	background-color: var(--dxbl-btn-hover-color);
}

.panel-open .menu-button[b-zadu0oxfgv] {
	display: inline-flex;
}

.nav-buttons-container[b-zadu0oxfgv] {
	display: flex;
	gap: 10px;
	padding: .6rem 1rem;
}

	.nav-buttons-container[b-zadu0oxfgv]  .menubutton-float-end {
		margin-left: auto;
	}

	.nav-buttons-container[b-zadu0oxfgv]  a {
		text-decoration: none;
	}

.page-name.a[b-zadu0oxfgv] {
	text-decoration: none;
}

.dxbl-btn-standalone.dxbl-btn-primary[b-zadu0oxfgv] {
	--dxbl-btn-bg: blue;
}

.page-name[b-zadu0oxfgv] {
	font-size: 1.3rem;
	/*padding-left: 4px;*/
}

.mobile-header[b-zadu0oxfgv] {
	background: #097bb9;
	color: aliceblue;
}

.pp[b-zadu0oxfgv] {
	padding: 0 1rem 1rem 1rem !important;
}


/* /Components/Layout/NavMenu.razor.rz.scp.css */
[b-z8zbltdpx5] .menu.display-mobile {
	margin-bottom: 2rem;
}

[b-z8zbltdpx5] .menu {
	--dxbl-menu-bottom-left-border-radius: 0;
	--dxbl-menu-bottom-right-border-radius: 0;
	--dxbl-menu-top-left-border-radius: 0;
	--dxbl-menu-top-right-border-radius: 0;
	background-color: inherit;
}

	[b-z8zbltdpx5] .menu .dxbl-menu-item-list {
		gap: 0.5rem;
	}

[b-z8zbltdpx5] .menu-item {
	color: var(--bs-white, #fff);
}

[b-z8zbltdpx5] .nav-menu-item {
	color: var(--bs-white, #fff);
	height: 38px;
}

[b-z8zbltdpx5] .dxbl-menu-item-mute-selection {
	font-size: larger;
	font-variant: petite-caps;
}

[b-z8zbltdpx5] .icon {
	margin-left: 0.5rem;
}

[b-z8zbltdpx5] .home-icon {
	--icon-mask-image: var(--icon-home-mask-image);
}

[b-z8zbltdpx5] .weather-icon {
	--icon-mask-image: var(--icon-weather-mask-image);
}

[b-z8zbltdpx5] .counter-icon {
	--icon-mask-image: var(--icon-counter-mask-image);
}

[b-z8zbltdpx5] .settings-icon {
	--icon-mask-image: var(--icon-settings-mask-image);
}

[b-z8zbltdpx5] .log-in-icon {
	--icon-mask-image: var(--icon-log-in-mask-image);
}

[b-z8zbltdpx5] .log-out-icon {
	--icon-mask-image: var(--icon-log-out-mask-image);
}

[b-z8zbltdpx5] .user-icon {
	--icon-mask-image: var(--icon-user-mask-image);
}

@media (max-width: 768px) {
	#sidebar[b-z8zbltdpx5] {
		min-width: inherit;
		max-width: inherit;
		display: block;
	}

	.logo[b-z8zbltdpx5] {
		text-align: inherit;
	}
}
/* /Components/Pages/Index.razor.rz.scp.css */
[b-mqqsvkltgj] .welcome-gridlayout {
    margin: auto;
    width: auto;
    height: auto;
}

[b-mqqsvkltgj] .welcome-gridlayout .dxbl-gridlayout-root {
    align-content: center;
    justify-content: center;
}

[b-mqqsvkltgj] .title {
    text-align: center;
}

[b-mqqsvkltgj] .welcome-cards {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    justify-content: center;
}

[b-mqqsvkltgj] .welcome-card {
    width: 26.25rem;
    height: 15rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 4px 6px -1px rgba(0, 0, 0, 0.1), 0px 2px 4px -2px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.2s;
    border-radius: 1rem;
    color: var(--bs-link-color, var(--DS-primary-90));
    gap: 1.5rem;
    text-decoration: none;
    position: relative;
}

[b-mqqsvkltgj] .welcome-card:hover {
    box-shadow: 0px 20px 25px -5px rgba(0, 0, 0, 0.1), 0px 8px 10px -6px rgba(0, 0, 0, 0.1);
}

[b-mqqsvkltgj] .welcome-card .welcome-card-img {
    width: 6.5rem;
    height: 6.5rem;
}

[b-mqqsvkltgj] .welcome-card .welcome-card-text {
    font-size: 1.75rem;
    font-weight: 600;
    letter-spacing: 0em;
    text-align: center;
    text-decoration: unset;
}

[b-mqqsvkltgj] .welcome-card .welcome-card-back {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--bs-body-color, var(--DS-color-content-neutral-default-rest));
    opacity: 0.05;
    border-radius: 1rem;
    z-index: -2;
}
/* /Components/Pages/Settings/MarketsSettings.razor.rz.scp.css */
[b-sd8yee2k9u] .fancy {
	width: 22rem;
}

[b-sd8yee2k9u] .spin {
	width: 8rem;
}
